from pydantic import BaseModel, Field
from typing import Optional, List
from maleo_foundation.types import BaseTypes
from maleo_identity.enums.user_profile import MaleoIdentityUserProfileEnums

class MaleoIdentityUserProfileGeneralSchemas:
    class IdentifierType(BaseModel):
        identifier:MaleoIdentityUserProfileEnums.IdentifierType = Field(..., description="User profile's identifier")

    class Expand(BaseModel):
        expand:Optional[List[MaleoIdentityUserProfileEnums.ExpandableFields]] = Field(None, description="Expanded field(s)")

    class UserId(BaseModel):
        user_id:int = Field(..., ge=1, description="User's ID")

    class OptionalListOfUserId(BaseModel):
        user_ids:BaseTypes.OptionalListOfIntegers = Field(None, description="User's IDs")

    class IdCard(BaseModel):
        id_card:str = Field(..., max_length=16, description="User's ID Card")

    class LeadingTitle(BaseModel):
        leading_title:BaseTypes.OptionalString = Field(None, max_length=25, description="User's leading title")

    class FirstName(BaseModel):
        first_name:str = Field(..., max_length=50, description="User's first name")

    class MiddleName(BaseModel):
        middle_name:BaseTypes.OptionalString = Field(None, max_length=50, description="User's middle name")

    class LastName(BaseModel):
        last_name:str = Field(..., max_length=50, description="User's last name")

    class EndingTitle(BaseModel):
        ending_title:BaseTypes.OptionalString = Field(None, max_length=25, description="User's ending title")

    class FullName(BaseModel):
        full_name:str = Field(..., max_length=200, description="User's full name")

    class BirthPlace(BaseModel):
        birth_place:BaseTypes.OptionalString = Field(None, max_length=50, description="User's birth place")

    class BirthDate(BaseModel):
        birth_date:BaseTypes.OptionalDate = Field(None, description="User's birth date")